Name: 		kmldonkey
Version: 	0.10.1
Release: 	mld2.6.7
Copyright: 	GPL
Summary: 	KDE
Group: 		KDE
URL:		http://kmldonkey.org/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	http://savannah.nongnu.org/download/mldonkey/mldonkey-2.6.7.tar.bz2
Requires:	qt mldonkey mlnet
BuildRequires:  qt-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386
Provides:	copysources get_range mlbt mldc mlgnut mlslsk svg_converter dp500 make_torrent mld_hash mldonkey mlnet subconv

%description
K Desktop Environment.
Start MLDonkey before running kmldonkey with: /usr/bin/mlnet -daemon
cvs -d:ext:anoncvs@savannah.gnu.org:/cvsroot/mldonkey co mldonkey

MLdonkey (mlnet) is a generic peer-to-peer file-sharing client, written 
in Objective-Caml, that can access the eDonkey2000, Overnet, Gnutella,
BitTorrent and Soulseek networks. Gnutella2, Direct-Connect and 
Open-Napster networks also have alpha support.

MLdonkey can be controlled via telnet (telnet 127.0.0.1 4000) and WEB 
(http://127.0.0.1:4080/) interfaces.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -a 1

%build
cd mldonkey*
configure --enable-batch --enable-pthread --enable-ocamlver=3.08 \
--enable-directconnect --disable-gui --enable-opennap --enable-soulseek \
--disable-devel; make; make utils; cd ..
configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --disable-debug \
	  --disable-nls \
	  --without-included-gettext \
          --disable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/{usr/bin,etc/skel/.mldonkey,/root/.mldonkey}
cp mldonkey*/{svg_converter,mld_hash,make_torrent,copysources,get_range,subconv,dp500} $RPM_BUILD_ROOT/usr/bin
cd mldonkey*; make prefix=$RPM_BUILD_ROOT/usr install

ln -sf /usr/bin/mlnet $RPM_BUILD_ROOT/etc/skel
ln -sf /usr/bin/mlnet $RPM_BUILD_ROOT/root
ln -sf /usr/bin/mlnet $RPM_BUILD_ROOT/etc/skel/.mldonkey
ln -sf /usr/bin/mlnet $RPM_BUILD_ROOT/root/.mldonkey

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/plugins/designer/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/plugins/styles/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
